Bug 199834 - Review Request: nip2 - interactive image processing system
Review Request: nip2 - interactive image processing system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On: 199833
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-22 22:46 EDT by Adam Goode
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 14:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2006-07-22 22:46:21 EDT
Spec URL: http://www.spicenitz.org/fedora/nip2.spec
SRPM URL: http://www.spicenitz.org/fedora/nip2-7.10.20-1.src.rpm
Description: nip2 is a graphical front end to the VIPS package.
With nip2, rather than directly editing images, you build
relationships between objects in a spreadsheet-like fashion. When you
make a change somewhere, nip2 recalculates the objects affected by
that change. Since it is demand-driven this update is very fast, even
for very, very large images.
Comment 1 Jochen Schmitt 2006-07-23 16:15:22 EDT
Good:
+ Tar ball match with upstream source.

Bad:
- Can't find vips-devel as BR.
Comment 2 Adam Goode 2006-07-23 18:06:49 EDT
Check out bug #199833 for vips.
Comment 3 Jochen Schmitt 2006-07-24 12:14:35 EDT
Good:
+ rpmlint on source rpm is quite.
+ Local build works fine.
+ rpmlint on binary rpms is quite
+ rpmlint on installed rpm is quite.
+ Application have a desktop entry.
+ Applcation can start without crash.

I may able to aprove your package after vips is aproved and I have done a mock
build.

Comment 4 Adam Goode 2006-07-28 10:04:23 EDT
vips is now in extras and builds successfully on all releases and platforms.

What's left to do for nip2?
Comment 5 Jochen Schmitt 2006-08-01 14:26:15 EDT
OK, I have done a mock build which works fine. So I can APPROVE your package.

Note You need to log in before you can comment on or make changes to this bug.